Subject: Re: sending email from Cygwin
From: [email-masked]
To: "Pierre A. Humblet" <[email-masked]>
Cc: [email-masked]
Date: Thu, 15 Jul 2004 17:52:43 +1000 (EST)

On 14 Jul, Pierre A. Humblet wrote:
>  At 12:02 PM 7/15/2004 +1000, [email-masked] wrote:
>  >On 14 Jul, Pierre A. Humblet wrote:
>  >>  Thanks for the feedback. 
>  >>   
>  >>  The problem is that the exim startup code thinks that you are a
>  privileged 
>  >>  user (see "privileged 1" above). It does that by checking that you have
>  the 
>  >>  "Create Token" privilege (you have not answered my question about having 
>  >>  given yourself unusual privileges).  
>  >>  However you are not in the admins group (544), so you can't setuid after 
>  >>  all. 
>  >
>  >So that the main user of the machine is able to install software, they
>  >are given admin privileges.  So, I have admin privileges.  I can find
>  >out more details about what that precisely means by asking our Windows
>  >sysadmin people, if it would help?
>  
>  You don't seem to have the admin privilege, at least not in the usual sense
>  of being in the Administrators group. You are not even a PowerUser.

Strange.  I am, you know.  If I call up User Accounts, I see myself listed
in the group "Administrators", and I certainly have the ability to install
and unistall software.

>  $ id 
>  uid=11021(luke) gid=10513(Domain Users) groups=12919(adaytum),10513(Domain
>  Users),13876(MS_VisualStudio),15155(RitaTS),13761(ZoneAlarm)
>  
>  Actually another explanation is that your /etc/group file is incomplete.
>  You don't seem to be in any local group... 
>  Are the lines produced by "mkgroup -l" in /etc/group?
>  If not, do "mkgroup -l >> /etc/group" and try exim -c again.
>  Check also that uid 18 (system) is in /etc/passwd.
>  Else do "mkpasswd -l >> /etc/passwd"

You're right about the mkgroup -l:

: /home/luke ; grep -i admin /etc/group
Domain Admins:S-1-5-21-5706737-76180391-208020174-512:10512:
Enterprise Admins:S-1-5-21-5706737-76180391-208020174-519:10519:
Schema Admins:S-1-5-21-5706737-76180391-208020174-518:10518:
sysadmin:S-1-5-21-5706737-76180391-208020174-3984:13984:
: /home/luke ; mkgroup -l 
root:S-1-5-32-544:0:
SYSTEM:S-1-5-18:18:
None:S-1-5-21-1694720459-1161744426-439199626-513:513:
Administrators:S-1-5-32-544:544:
Backup Operators:S-1-5-32-551:551:
Guests:S-1-5-32-546:546:
Network Configuration Operators:S-1-5-32-556:556:
Power Users:S-1-5-32-547:547:
Remote Desktop Users:S-1-5-32-555:555:
Replicator:S-1-5-32-552:552:
Users:S-1-5-32-545:545:
Debugger Users:S-1-5-21-1694720459-1161744426-439199626-1003:1003:
HelpServicesGroup:S-1-5-21-1694720459-1161744426-439199626-1001:1001:
: /home/luke ; mkgroup -l >> /etc/group
: /home/luke ; grep -i system /etc/passwd
SYSTEM:*:18:544:,S-1-5-18::

>  By the way, exim-config should give you warnings if those files are
>  incomplete. Did you ever run it?

No.  I never saw any mention of it in the man page, nor during setup,
nor when I ran exim manually, sorry.

>  The question I was asking is whether you have the "Create Token" privilege.
>  You can check that from the Users control panel, or with the
>  editrights cygwin tool. I am on WinME, so I can't give you
>  step by step instructions on how to do that. 

If I look at Control Panel -> User Accounts -> Advanced -> Advanced User
Management -> Local Users and Groups, I don't appear in the list of Users
there.  Odd?

I'm unsure if I'm looking in the right place.

Does this help? :

: /home/luke ; editrights -u luke -l -v
editrights version 1.01: a cygwin application to edit user rights
     on a Windows NT system.
Copyright Chris Rodgers <editrights-at-bulk.rodgers.org.uk>, Sep, 2003.
All rights reserved. See LICENCE for further details.

Listing rights for luke:

Done!

>  If your Windows sysadmin people give you that privilege, I think they
>  should reconsider their policies. 

There are excellent reasons for allowing all our users for having these
permissions - I can explain in more detail later, if you are
unconvinced.  (We are an unusual company.)

luke

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/